---
title: "about dotya.ml"
date: 2020-03-07T02:12:03+01:00
draft: false
---

Free services provided for fun as a hobby with passion and :white_heart:\
So far we have:
* [Gitea](https://gitea.io) SCM instance at https://git.dotya.ml
* [DroneCI](https://drone.io) instance (login with a Gitea account) at https://drone.dotya.ml

### Onion services
> Note: This is a work in progress - more services are to come

Gitea: `2crftbzxbcoqolvzreaaeyrod5qwycayef55gxgzgfcpqlaxrnh3kkqd.onion`\
this site: `6426tqrh4y5uobmo5y2csaip3m3avmjegd2kpa24sadekpxglbm34aqd.onion`

Making `DroneCI` available as a hidden service would require a) either spinning up another DroneCI instance, for which we currently don't have capacities, or b) some kind of an evil hack that we've not yet discovered.\
We're open to ideas - if you know how to make this work, please, send us a patch, PR or an email with anything interesting and worthwile.

### Status
* in-house status monitor at https://status.dotya.ml
* UptimeRobot hosted dashboard at https://stats.uptimerobot.com/93yPqFmmx8

### Security
[HSTS](https://tools.ietf.org/rfc/rfc6797.txt) has been enabled early on for `dotya.ml`, which means that all major browsers (Firefox, Chrome, Safari, Opera and Edge) today know that this site, as well as **all** of its subdomains, communicate with you only using TLS to secure the data in transit (they check the [preload list](https://source.chromium.org/chromium/chromium/src/+/master:net/http/transport_security_state_static.json)), i.e. no plain HTTP connections.

#### Misc
* HTTP headers insight for https://dotya.ml as per [Mozilla HTTP Observatory](https://observatory.mozilla.org/analyze/dotya.ml)\
Scoring 125 out of 100 points

* SSL Labs [TLS rating](https://www.ssllabs.com/ssltest/analyze.html?d=dotya.ml): *A+*
